Hello,
        I'm trying to install ZMySQLDA onto a Linux machine with 
Zope 2.2.0, python 1.5.2, and a newly installed (from source) 
copy of MySQL 3.22.23 (latest stable).  I had to modify the 
include paths in Setup.in so it could find the include files, 
but now I get the following errors when running make:

>>>
gcc -fpic  -I/usr/local/mysql/include/mysql -I/usr/include/mysql -g -O2
-I/usr/local/include/python1.5 -
I/usr/local/include/python1.5 -DHAVE_CONFIG_H -c ./MySQLmodule.c
./MySQLmodule.c: In function `pythonify_row':
./MySQLmodule.c:238: warning: assignment from incompatible pointer type
./MySQLmodule.c: In function `pythonify_res_fields':
./MySQLmodule.c:384: invalid lvalue in unary `&'
./MySQLmodule.c: In function `STH_fetchdict':
./MySQLmodule.c:1125: invalid lvalue in unary `&'
./MySQLmodule.c:1147: invalid lvalue in unary `&'
make: *** [MySQLmodule.o] Error 1
<<<

any suggestions?  I've had errors installing ZMySQLDA before, 
but nothing like this...

Thanks in advance.

~  Jonathan M. Franz ~ Senior Developer/Technical Leader  ~
~ SW-Dev Division, Springdale, Ohio Office ~ 513.618.2248 ~ 
~ OneNet Communications (A USNet/MDM Company) www.one.net ~

_______________________________________________
Zope-Dev maillist  -  [EMAIL PROTECTED]
http://lists.zope.org/mailman/listinfo/zope-dev
**  No cross posts or HTML encoding!  **
(Related lists - 
 http://lists.zope.org/mailman/listinfo/zope-announce
 http://lists.zope.org/mailman/listinfo/zope )

Reply via email to